Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.beans
Class NullPropertyPointer

    java.lang.Object
      org.apache.commons.jxpath.ri.model.NodePointer
          org.apache.commons.jxpath.ri.model.beans.PropertyPointer
              org.apache.commons.jxpath.ri.model.beans.NullPropertyPointer

All Implemented Interfaces:
  Serializable, Cloneable, Comparable, Pointer

    public class NullPropertyPointer

extends PropertyPointer

Version:
  $Revision: 652884 $ $Date: 2008-05-02 15:02:00 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyPointer
`bean, propertyIndex, UNSPECIFIED_PROPERTY`

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`NullPropertyPointer(NodePointer parent)` Create a new NullPropertyPointer.

Method Summary
`String` | `asPath()` Returns an XPath that maps to this Pointer.
`NodePointer` | `createChild(JXPathContext context, QName name, int index)` Called by a child pointer when it needs to create a parent object for a non-existent collection element.
`NodePointer` | `createChild(JXPathContext context, QName name, int index, Object value)` Called by a child pointer if that child needs to assign the value supplied in the createPath(context, value) call to a non-existent node.
`NodePointer` | `createPath(JXPathContext context)` Called by a child pointer when it needs to create a parent object.
`NodePointer` | `createPath(JXPathContext context, Object value)` Called directly by JXPathContext.
`Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`int` | `getLength()` If the property contains a collection, then the length of that collection, otherwise - 1.
`QName` | `getName()` Returns the name of this node.
`int` | `getPropertyCount()` Count the number of properties represented.
`String` | `getPropertyName()` Get the property name.
`String[]` | `getPropertyNames()` Get the names of the included properties.
`NodePointer` | `getValuePointer()` If this pointer manages a transparent container, like a variable, this method returns the pointer to the contents.
`boolean` | `isActual()` An actual pointer points to an existing part of an object graph, even if it is null.
`protected boolean` | `isActualProperty()` Learn whether this pointer references an actual property.
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isContainer()` If true, this node is auxiliary and can only be used as an intermediate in the chain of pointers.
`boolean` | `isLeaf()` If true, this node does not have children
`void` | `setNameAttributeValue(String attributeValue)` Set the name attribute.
`void` | `setPropertyIndex(int index)` Set the property index.
`void` | `setPropertyName(String propertyName)` Set the property name.
`void` | `setValue(Object value)` Converts the value to the required type and changes the corresponding object to that value.

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyPointer
`compareChildNodePointers, equals, getBean, getImmediateValuePointer, getPropertyIndex, hashCode`

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`attributeIterator, childIterator, clone, compareTo, createAttribute, escape, getAbstractFactory, getDefaultNamespaceURI, getImmediateParentPointer, getIndex, getLocale, getNamespaceResolver, getNamespaceURI, getNamespaceURI, getNode, getNodeSetByKey, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, isAttribute, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, remove, setAttribute, setIndex, setNamespaceResolver, testNode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullPropertyPointer

    public NullPropertyPointer(NodePointer parent)

  Create a new NullPropertyPointer.

  Parameters:
    `parent` - pointer

Method Detail

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.

  Overrides:
    `getName` in class `PropertyPointer`
  Returns:
    QName

### setPropertyIndex

    public void setPropertyIndex(int index)

  Description copied from class: `PropertyPointer`
  Set the property index.

  Overrides:
    `setPropertyIndex` in class `PropertyPointer`
  Parameters:
    `index` - property index

### getLength

    public int getLength()

  Description copied from class: `PropertyPointer`
  If the property contains a collection, then the length of that collection, otherwise - 1.

  Overrides:
    `getLength` in class `PropertyPointer`
  Returns:
    int length

### getBaseValue

    public Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.

  Specified by:
    `getBaseValue` in class `NodePointer`
  Returns:
    Object value

### getImmediateNode

    public Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.

  Overrides:
    `getImmediateNode` in class `PropertyPointer`
  Returns:
    Object node

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children

  Overrides:
    `isLeaf` in class `PropertyPointer`
  Returns:
    boolean

### getValuePointer

    public NodePointer getValuePointer()

  Description copied from class: `NodePointer`
  If this pointer manages a transparent container, like a variable, this method returns the pointer to the contents. Only an auxiliary (non-node) pointer can (and should) return a value pointer other than itself. Note that you probably don't want to override `getValuePointer()` directly. Override the `getImmediateValuePointer()` method instead. The `getValuePointer()` method is calls `getImmediateValuePointer()` and, if the result is not `this`, invokes `getValuePointer()` recursively. The idea here is to open all nested containers. Let's say we have a container within a container within a container. The `getValuePointer()` method should then open all those containers and return the pointer to the ultimate contents. It does so with the above recursion.

  Overrides:
    `getValuePointer` in class `NodePointer`
  Returns:
    NodePointer

### isActualProperty

    protected boolean isActualProperty()

  Description copied from class: `PropertyPointer`
  Learn whether this pointer references an actual property.

  Specified by:
    `isActualProperty` in class `PropertyPointer`
  Returns:
    true if actual

### isActual

    public boolean isActual()

  Description copied from class: `NodePointer`
  An actual pointer points to an existing part of an object graph, even if it is null. A non-actual pointer represents a part that does not exist at all. For instance consider the pointer "/address/street". If both address and street are not null, the pointer is actual. If address is not null, but street is null, the pointer is still actual. If address is null, the pointer is not actual. (In JavaBeans) if address is not a property of the root bean, a Pointer for this path cannot be obtained at all - actual or otherwise.

  Overrides:
    `isActual` in class `PropertyPointer`
  Returns:
    boolean

### isContainer

    public boolean isContainer()

  Description copied from class: `NodePointer`
  If true, this node is auxiliary and can only be used as an intermediate in the chain of pointers.

  Overrides:
    `isContainer` in class `NodePointer`
  Returns:
    boolean

### setValue

    public void setValue(Object value)

  Description copied from class: `NodePointer`
  Converts the value to the required type and changes the corresponding object to that value.

  Specified by:
    `setValue` in interface `Pointer`
  Specified by:
    `setValue` in class `NodePointer`
  Parameters:
    `value` - the value to set

### createPath

    public NodePointer createPath(JXPathContext context)

  Description copied from class: `NodePointer`
  Called by a child pointer when it needs to create a parent object. Must create an object described by this pointer and return a new pointer that properly describes the new object.

  Overrides:
    `createPath` in class `PropertyPointer`
  Parameters:
    `context` - the owning JXPathContext
  Returns:
    created NodePointer

### createPath

    public NodePointer createPath(JXPathContext context,
                                  Object value)

  Description copied from class: `NodePointer`
  Called directly by JXPathContext. Must create path and set value.

  Overrides:
    `createPath` in class `PropertyPointer`
  Parameters:
    `context` - the owning JXPathContext
    `value` - the new value to set
  Returns:
    created NodePointer

### createChild

    public NodePointer createChild(JXPathContext context,
                                   QName name,
                                   int index)

  Description copied from class: `NodePointer`
  Called by a child pointer when it needs to create a parent object for a non-existent collection element. It may have to expand the collection, then create an element object and return a new pointer describing the newly created element.

  Overrides:
    `createChild` in class `PropertyPointer`
  Parameters:
    `context` - the owning JXPathCOntext
    `name` - the QName at which a child should be created
    `index` - child index.
  Returns:
    created NodePointer

### createChild

    public NodePointer createChild(JXPathContext context,
                                   QName name,
                                   int index,
                                   Object value)

  Description copied from class: `NodePointer`
  Called by a child pointer if that child needs to assign the value supplied in the createPath(context, value) call to a non-existent node. This method may have to expand the collection in order to assign the element.

  Overrides:
    `createChild` in class `PropertyPointer`
  Parameters:
    `context` - the owning JXPathCOntext
    `name` - the QName at which a child should be created
    `index` - child index.
    `value` - node value to set
  Returns:
    created NodePointer

### getPropertyName

    public String getPropertyName()

  Description copied from class: `PropertyPointer`
  Get the property name.

  Specified by:
    `getPropertyName` in class `PropertyPointer`
  Returns:
    String property name.

### setPropertyName

    public void setPropertyName(String propertyName)

  Description copied from class: `PropertyPointer`
  Set the property name.

  Specified by:
    `setPropertyName` in class `PropertyPointer`
  Parameters:
    `propertyName` - property name to set.

### setNameAttributeValue

    public void setNameAttributeValue(String attributeValue)

  Set the name attribute.

  Parameters:
    `attributeValue` - value to set

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.

  Overrides:
    `isCollection` in class `PropertyPointer`
  Returns:
    boolean

### getPropertyCount

    public int getPropertyCount()

  Description copied from class: `PropertyPointer`
  Count the number of properties represented.

  Specified by:
    `getPropertyCount` in class `PropertyPointer`
  Returns:
    int

### getPropertyNames

    public String[] getPropertyNames()

  Description copied from class: `PropertyPointer`
  Get the names of the included properties.

  Specified by:
    `getPropertyNames` in class `PropertyPointer`
  Returns:
    String[]

### asPath

    public String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.

  Specified by:
    `asPath` in interface `Pointer`
  Overrides:
    `asPath` in class `NodePointer`
  Returns:
    String xpath expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.